## dssp 2.0.4

=== debian/changelog ===
dssp (2.0.4-2) unstable; urgency=low

  [ Laszlo Kajan ]
  * Stick to debhelper compatibility level 7 to enable flawless
    build on Ubuntu Lucid (documented in debian/README.source)

  [ Maarten L. Hekkelman ]
  * Fix for compiling with gcc 4.7, std::min (Closes: #673434)
  * Added the use of dpkg-buildflags to include hardening flags since
    debhelper is still maintained at version 7.

 -- Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>  Mon, 21 May 2012 10:00:00 +0200

dssp (2.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #669259)
  * Added description to dssp; added upstream (reference); parallel building
    now enabled; fixed spelling error in man page; added debug package;
    fixed debian/watch; added get-orig-source target to rules.
  * Changed libboost build dependency to version >= 1.42.0.1 to allow
    building on stable.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 18 Apr 2012 11:09:02 +0200
