=== debian/control ===
Source: dssp
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>,
 Laszlo Kajan <lkajan@rostlab.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               libboost-filesystem-dev (>= 1.42.0.1), 
               libboost-iostreams-dev (>= 1.42.0.1), 
               libboost-program-options-dev (>= 1.42.0.1), 
               libboost-system-dev (>= 1.42.0.1), 
               libboost-thread-dev (>= 1.42.0.1)
Standards-Version: 3.9.3
Section: science
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dssp/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/dssp/trunk/
DM-Upload-Allowed: yes
Homepage: http://www.cmbi.ru.nl/dssp.html

Package: dssp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: protein secondary structure assignment based on 3D structure
 DSSP is an application you use to assign the secondary structure of a protein
 based on its solved three dimensional (3D) structure.
 .
 This version (2) of DSSP is a rewrite that produces the same output as the
 original DSSP, but deals better with exceptions in PDB files and is much
 faster.

Package: dssp-dbg
Architecture: any
Section: debug
Priority: extra
Depends: dssp (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for dssp
 DSSP is an application to assign the secondary structure of a protein
 based on its three dimensional (3D) structure.
 .
 This version (2) of DSSP is a rewrite that produces the same output as the
 original DSSP, but deals better with exceptions in PDB files and is much
 faster.
 .
 This package provides the detached debug symbols for dssp.
