=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
PPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=dssp-dbg

.PHONY: get-orig-source
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs
