## dssp 2.1.0

=== debian/changelog ===
dssp (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Boost got fixed, bug was 'FTBFS: xtime.hpp:23:5: error: expected
    identifier before numeric constant' (no changes to dssp were
    required to solve bug) (Closes: #708446)

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 08 May 2013 18:20:06 +0200
