=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
  Laszlo Kajan <lkajan@rostlab.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               libboost-filesystem-dev (>= 1.42.0.1), 
-               libboost-iostreams-dev (>= 1.42.0.1), 
-               libboost-program-options-dev (>= 1.42.0.1), 
-               libboost-system-dev (>= 1.42.0.1), 
-               libboost-thread-dev (>= 1.42.0.1)
-Standards-Version: 3.9.3
+               libboost-filesystem-dev (>= 1.46.0), 
+               libboost-iostreams-dev (>= 1.42.0), 
+               libboost-program-options-dev (>= 1.42.0), 
+               libboost-system-dev (>= 1.42.0), 
+               libboost-thread-dev (>= 1.42.0)
+Standards-Version: 3.9.4
 Section: science
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dssp/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/dssp/trunk/
-DM-Upload-Allowed: yes
 Homepage: http://www.cmbi.ru.nl/dssp.html
 
 Package: dssp
