## dssp 2.2.1

=== debian/changelog ===
dssp (2.2.1-2ubuntu1) wily; urgency=medium

  * Build with -O2 on ppc64el (ICE).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Aug 2015 14:12:24 +0000

dssp (2.2.1-2build1) wily; urgency=medium

  * No change rebuild for boost1.58.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 12 Aug 2015 00:11:35 +0100

dssp (2.2.1-2) unstable; urgency=medium

  * Add symlink dssp as executable since BioPython is relying on the
    old name
  * debhelper 9
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 10 Mar 2014 10:48:09 +0100

dssp (2.2.1-1) unstable; urgency=low

  * Bug fix in mmCIF import code.
  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 11 Sep 2013 10:00:00 +0200
