=== debian/control ===
Source: dssp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>,
           Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-filesystem-dev (>= 1.46.0),
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dssp/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dssp/trunk/
Homepage: http://www.cmbi.ru.nl/dssp.html

Package: dssp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: protein secondary structure assignment based on 3D structure
 DSSP is an application you use to assign the secondary structure of a protein
 based on its solved three dimensional (3D) structure.
 .
 This version (2) of DSSP is a rewrite that produces the same output as the
 original DSSP, but deals better with exceptions in PDB files and is much
 faster.

Package: dssp-dbg
Architecture: any
Section: debug
Priority: extra
Depends: dssp (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for dssp
 DSSP is an application to assign the secondary structure of a protein
 based on its three dimensional (3D) structure.
 .
 This version (2) of DSSP is a rewrite that produces the same output as the
 original DSSP, but deals better with exceptions in PDB files and is much
 faster.
 .
 This package provides the detached debug symbols for dssp.
