=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE := 1
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(DEB_HOST_ARCH),ppc64el)
  CFLAGS := $(subst -O3,-O2,$(CFLAGS))
  CXXFLAGS := $(subst -O3,-O2,$(CXXFLAGS))
  export CFLAGS CXXFLAGS
endif

export DEST_DIR:=/usr
export LDOPTS:=$(LDFLAGS)

%:
	dh $@ --parallel

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=dssp-dbg

.PHONY: get-orig-source
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs
