=== debian/watch ===
version=3
opts="pasv" \
ftp://ftp.cmbi.ru.nl/pub/software/dssp/dssp-([0-9.]+)\.t[bgx]z  debian uupdate
