## dssp 3.0.0

=== debian/changelog ===
dssp (3.0.0-2) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * debian/upstream/metadata
    - Added references to registries
    - Upstream name is "DSSP" (all caps), also changed in d/copyright
    - yamllint clean

  [ Gert Wollny ]
  * d/p/boost1.65: Add patch for boost 1.65, Closes: #880465
  * d/control: Update standards to 4.1.1 (no changes)

 -- Gert Wollny <gewo@debian.org>  Wed, 06 Dec 2017 19:46:08 +0100

dssp (3.0.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Git
  * Simplify d/watch
  * Drop debug package
  * Cleanup make.config
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Sep 2017 10:20:39 +0200

dssp (2.2.1-3) unstable; urgency=medium

  * Team upload.
  [ Tatiana Malygina ]
  * cme fix dpkg-control
  * add example files
  * add simple testsuite and README.test
  * turn on hardening
  * move examples from upstream patch to d/examples
  * add information on .pdb example files to d/copyright

  [ Andreas Tille ]
  * Fix sequence of files in d/copyright
  * Secure Vcs-Browser
  * Propagate hardening options

 -- Tatiana Malygina <merlettaia@gmail.com>  Tue, 07 Jun 2016 14:58:19 +0000
