=== debian/control ===
Source: dssp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>,
           Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dssp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/dssp.git
Homepage: http://www.cmbi.ru.nl/dssp.html

Package: dssp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: protein secondary structure assignment based on 3D structure
 DSSP is an application you use to assign the secondary structure of a protein
 based on its solved three dimensional (3D) structure.
 .
 This version (2) of DSSP is a rewrite that produces the same output as the
 original DSSP, but deals better with exceptions in PDB files and is much
 faster.
