=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE := 1
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export DEST_DIR:=/usr
export LDOPTS:=$(LDFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
