## dssp 4.0.0

=== debian/changelog ===
dssp (4.0.0-2) unstable; urgency=medium

  * Make build reproducible, Closes: #977618

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 18 Dec 2020 07:42:13 +0100

dssp (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 24 Nov 2020 09:57:21 +0100

dssp (3.0.0-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 11:18:40 +0100
