=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libcifpp-dev (>= 1.0.0-2)
Restrictions: allow-stderr
