## dssp 4.0.4

=== debian/changelog ===
dssp (4.0.4-1) unstable; urgency=medium

  * New upstream release, Closes: #1005450 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sun, 13 Feb 2022 10:23:33 +0100

dssp (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 02 Nov 2021 07:53:02 +0100
