=== debian/control ===
--- 
+++ 
@@ -4,11 +4,14 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               autoconf-archive,
-               pkg-config,
+               cmake,
                libboost-iostreams-dev,
                libboost-program-options-dev,
                libboost-system-dev,
+               libboost-date-time-dev,
+               zlib1g-dev,
+               libbz2-dev,
+               mrc,
                libcifpp-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -20,7 +23,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libcifpp1
+         libcifpp2
 Description: protein secondary structure assignment based on 3D structure
  DSSP is an application you use to assign the secondary structure of a protein
  based on its solved three dimensional (3D) structure.
