## dssp 4.2.1

=== debian/changelog ===
dssp (4.2.1-1) unstable; urgency=medium

  * New upstream.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 02 Jan 2023 09:53:03 +0100

dssp (4.2.0a-1) unstable; urgency=medium

  * Now with new source... 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 31 Dec 2022 10:29:08 +0100

dssp (4.2.0-3) unstable; urgency=medium

  * Pushing.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 30 Dec 2022 20:26:13 +0100

dssp (4.2.0-2) unstable; urgency=medium

  * Without the -dev part.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 30 Dec 2022 09:52:34 +0100

dssp (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 24 Nov 2022 11:39:54 +0100
