=== debian/control ===
Source: dssp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
 cmake,
 mrc,
 libcifpp-dev (>= 5.0.5-2~),
 libboost-dev,
 libboost-regex-dev,
 zlib1g-dev,
 libmcfp-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/dssp
Vcs-Git: https://salsa.debian.org/med-team/dssp.git
Homepage: https://github.com/PDB-REDO/dssp

Package: dssp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: protein secondary structure assignment based on 3D structure
 DSSP is an application you use to assign the secondary structure of a protein
 based on its solved three dimensional (3D) structure.
 .
 This version (4.2) of DSSP is a rewrite that writes annotated mmCIF files
 by default but can still produce the older dssp format. New is also the
 support of PP helices.
