=== debian/changelog ===
dssp (4.2.2-2) unstable; urgency=medium

  * Fix dependency.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 02 Feb 2023 11:48:45 +0100

dssp (4.2.2-1) unstable; urgency=medium

  * New upstream. 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 02 Feb 2023 10:05:57 +0100
