=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  cmake,
  mrc,
- libcifpp-dev (>= 5.0.5-2~),
+ libcifpp-dev (>= 5.0.7.1-1~),
  libboost-dev,
  libboost-regex-dev,
  zlib1g-dev,
