=== debian/changelog ===
dssp (4.4.10-1) unstable; urgency=medium

  * New upstream. 
  * Fix ftbfs, Closes: #1045047 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 17 Oct 2024 18:50:13 +0200
