=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libcifpp-dev
Restrictions: allow-stderr
